%global srcname flask-cache

Name:           python-%{srcname}
Version:        0.13.1
Release:        19%{?dist}
Summary:        Adds cache support to your Flask application

License:        BSD
URL:            https://github.com/thadeusb/flask-cache
Source0:        https://pypi.python.org/packages/source/F/Flask-Cache/Flask-Cache-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-flask
BuildRequires:  python3-setuptools


%description
%{summary}.


%package -n python3-%{srcname}
Summary:        Adds cache support to your Flask application
License:        BSD
Requires:       python3-flask
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{summary}.

%package -n python3-%{srcname}-doc
Summary:        Documentation for the Flask-Cache module
BuildRequires:  python3-sphinx

%description -n python3-%{srcname}-doc
Documentation for the Flask-Cache module


%prep
%autosetup -n Flask-Cache-%{version}
# Fix extension import
sed -i 's/flask.ext.cache/flask_cache/' *.py */*.py docs/*.rst


%build
%py3_build
sphinx-build-3 -b html -d build/doctrees docs build/html3
rm -f build/html3/.buildinfo
rm -f build/html3/objects.inv
sed -i 's/\r$//' build/html3/_static/jquery.js


%install
%py3_install


%check
%{__python3} test_cache.py


%files -n python3-%{srcname}
%doc CHANGES PKG-INFO README
%license LICENSE
%{python3_sitelib}/flask_cache
%{python3_sitelib}/Flask_Cache-%{version}-py3.?.egg-info

%files -n python3-%{srcname}-doc
%doc build/html3


%changelog
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.13.1-18
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.13.1-17
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 02 2018 Piotr Popieluch <piotr1212@gmail.com> - 0.13.1-14
- Remove Python 2 subpackage

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.13.1-12
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Piotr Popieluch <piotr1212@gmail.com> - 0.13.1-9
- Update for new packaging guidelines

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.13.1-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Jul 08 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.13.1-3
- Fix lint warnings in documentation

* Sun Jul 05 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.13.1-2
- Addressed comments from review

* Fri Jul 03 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.13.1-1
- Initial package
